summaryrefslogtreecommitdiffhomepage
path: root/tools/images/ubuntu1604/40_kokoro.sh
diff options
context:
space:
mode:
authorAdin Scannell <ascannell@google.com>2020-02-27 15:35:19 -0800
committergVisor bot <gvisor-bot@google.com>2020-02-27 15:36:13 -0800
commitc96bb4d2ebc6a24b3111d986c5d40574ec8ff660 (patch)
tree3d541d78a05d6427f0846560d02e709498b15bd3 /tools/images/ubuntu1604/40_kokoro.sh
parent88f73699225bd50102bbacb6f78052338f205cdd (diff)
Fix apt-get reliability issues.
This is frequently causing the core build scripts to fail. The core ubuntu distribution will perform an auto-update at first start, which may cause the lock file to be held. All apt-get commands may be done in a loop in order to retry to avoid this issue. We may want to consider retrying other pieces, but for now this should avoid the most frequent cause of build flakes. PiperOrigin-RevId: 297704789
Diffstat (limited to 'tools/images/ubuntu1604/40_kokoro.sh')
-rwxr-xr-xtools/images/ubuntu1604/40_kokoro.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/tools/images/ubuntu1604/40_kokoro.sh b/tools/images/ubuntu1604/40_kokoro.sh
index 5f2dfc858..06a1e6c48 100755
--- a/tools/images/ubuntu1604/40_kokoro.sh
+++ b/tools/images/ubuntu1604/40_kokoro.sh
@@ -23,7 +23,22 @@ declare -r ssh_public_keys=(
)
# Install dependencies.
-apt-get update && apt-get install -y rsync coreutils python-psutil qemu-kvm python-pip python3-pip zip
+while true; do
+ if (apt-get update && apt-get install -y \
+ rsync \
+ coreutils \
+ python-psutil \
+ qemu-kvm \
+ python-pip \
+ python3-pip \
+ zip); then
+ break
+ fi
+ result=$?
+ if [[ $result -ne 100 ]]; then
+ exit $result
+ fi
+done
# junitparser is used to merge junit xml files.
pip install junitparser